Skip to content

LAB-2216 Add template publishers management endpoints. - #173

Merged
Pasha Zayko (pasha-zayko) merged 6 commits into
mainfrom
LAB-2216-create-the-open-api-spec-for-the-new-publishers-management-endpoints
May 19, 2026
Merged

LAB-2216 Add template publishers management endpoints.#173
Pasha Zayko (pasha-zayko) merged 6 commits into
mainfrom
LAB-2216-create-the-open-api-spec-for-the-new-publishers-management-endpoints

Conversation

@ferrywlto

@ferrywlto Ferry To (ferrywlto) commented May 15, 2026

Copy link
Copy Markdown
Contributor

This pull request adds support for managing Cloud Matrix Template Publishers in the API. The main changes include introducing a new schema for template publishers and implementing new GET and PUT endpoints to retrieve and update the list of publishers.

New Cloud Matrix Template Publisher management:

  • Added a new CloudMatrix.TemplatePublisher schema to the OpenAPI spec, which defines the structure for template publishers, including fields such as name, isActive, and optional metadata.
  • Introduced the /Api/CloudMatrix/TemplatePublishers endpoint with:
    • A GET method to retrieve all template publishers, requiring the CloudMatrix.Read scope.
    • A PUT method to upload and replace the full list of template publishers, restricted to certain tenants and requiring the CloudMatrix.ReadWrite.All scope.
  • Included detailed examples and response schemas for both endpoints to clarify usage and expected responses.

@ferrywlto
Ferry To (ferrywlto) marked this pull request as ready for review May 15, 2026 12:36
Copilot AI review requested due to automatic review settings May 15, 2026 12:36

Copilot AI left a comment

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Pull request overview

This PR extends the Data Gateway OpenAPI spec with Cloud Matrix Template Publisher management support.

Changes:

  • Adds a CloudMatrix.TemplatePublisher schema.
  • Adds GET /Api/CloudMatrix/TemplatePublishers for retrieving publishers.
  • Adds PUT /Api/CloudMatrix/TemplatePublishers for replacing the publisher list.

💡 Add Copilot custom instructions for smarter, more guided reviews. Learn how to get started.

Comment thread specs/Data-Gateway.json Outdated
Comment thread specs/Data-Gateway.json Outdated

@pasha-zayko Pasha Zayko (pasha-zayko) left a comment

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

There are additional places in the modified code where stylistic format is not being followed. You should open all projects using Workspace file as most (if not all) of that formatting is done on save. It could have been caught in linting but it is not setup for the spec files so we need to rely on Workspace configuration. I can show the difference of what changes when it happens.

Comment thread specs/Data-Gateway.json Outdated
}
},
"description": "Additional metadata about the publisher to provide extensibility.",
"examples": [{

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Object brace should be on separate line from array bracket

Copy link
Copy Markdown
Contributor Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

resolved in 6793cfc

Comment thread specs/Data-Gateway.json Outdated
"examples": [{
"updatedAt": "2025-12-15T21:13:12.821Z",
"updatedBy": "John Doe"
}]

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Same as above

Copy link
Copy Markdown
Contributor Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

resolved in 6793cfc

Comment thread specs/Data-Gateway.json Outdated

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

This version should be incremented as well, ideally it should match the value in package.json

Copy link
Copy Markdown
Contributor Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

resolved in 6793cfc

@pasha-zayko
Pasha Zayko (pasha-zayko) merged commit 0476ce9 into main May 19, 2026
7 of 8 checks passed
@pasha-zayko
Pasha Zayko (pasha-zayko) deleted the LAB-2216-create-the-open-api-spec-for-the-new-publishers-management-endpoints branch May 19, 2026 13:20
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Projects

None yet

Development

Successfully merging this pull request may close these issues.

3 participants